<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::bfgs_search_strategy Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1bfgs__search__strategy.html">bfgs_search_strategy</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1bfgs__search__strategy-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::bfgs_search_strategy Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2e19127812e40c24251bd0ac56a72420"><td class="memItemLeft" align="right" valign="top"><a id="a2e19127812e40c24251bd0ac56a72420"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_wolfe_rho</b> () const</td></tr>
<tr class="separator:a2e19127812e40c24251bd0ac56a72420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39cad1c7202b7b3c00e1a1cb2920efd8"><td class="memItemLeft" align="right" valign="top"><a id="a39cad1c7202b7b3c00e1a1cb2920efd8"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_wolfe_sigma</b> () const</td></tr>
<tr class="separator:a39cad1c7202b7b3c00e1a1cb2920efd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd8a5ab0827e7effb0be01c1720a0f25"><td class="memItemLeft" align="right" valign="top"><a id="acd8a5ab0827e7effb0be01c1720a0f25"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_line_search_iterations</b> () const</td></tr>
<tr class="separator:acd8a5ab0827e7effb0be01c1720a0f25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49c6c0eec579352142b7174638bb9f72"><td class="memTemplParams" colspan="2"><a id="a49c6c0eec579352142b7174638bb9f72"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a49c6c0eec579352142b7174638bb9f72"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>get_next_direction</b> (const T &amp;x, const double, const T &amp;funct_derivative)</td></tr>
<tr class="separator:a49c6c0eec579352142b7174638bb9f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a95bf5ccc3ea191a91188bf4b88edec1e"><td class="memItemLeft" align="right" valign="top"><a id="a95bf5ccc3ea191a91188bf4b88edec1e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>been_used</b></td></tr>
<tr class="separator:a95bf5ccc3ea191a91188bf4b88edec1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb2f23352d099004f59cf06a17601a99"><td class="memItemLeft" align="right" valign="top"><a id="acb2f23352d099004f59cf06a17601a99"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>been_used_twice</b></td></tr>
<tr class="separator:acb2f23352d099004f59cf06a17601a99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace9ef44b82f881360ed1dbf220e8cc85"><td class="memItemLeft" align="right" valign="top"><a id="ace9ef44b82f881360ed1dbf220e8cc85"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>prev_x</b></td></tr>
<tr class="separator:ace9ef44b82f881360ed1dbf220e8cc85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4396e282a4edd9eaeeffae41e7667f57"><td class="memItemLeft" align="right" valign="top"><a id="a4396e282a4edd9eaeeffae41e7667f57"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>prev_derivative</b></td></tr>
<tr class="separator:a4396e282a4edd9eaeeffae41e7667f57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5cc12e44ef0520703445971dc743d03"><td class="memItemLeft" align="right" valign="top"><a id="ad5cc12e44ef0520703445971dc743d03"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>prev_direction</b></td></tr>
<tr class="separator:ad5cc12e44ef0520703445971dc743d03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f94c08c9d4c3df449c5c6a15cfbfaff"><td class="memItemLeft" align="right" valign="top"><a id="a2f94c08c9d4c3df449c5c6a15cfbfaff"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>H</b></td></tr>
<tr class="separator:a2f94c08c9d4c3df449c5c6a15cfbfaff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8f76317edbcc3f0dcc80ef37309d08"><td class="memItemLeft" align="right" valign="top"><a id="aaa8f76317edbcc3f0dcc80ef37309d08"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>delta</b></td></tr>
<tr class="separator:aaa8f76317edbcc3f0dcc80ef37309d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af026a5ea48ba7e6b269c9b542b97b0"><td class="memItemLeft" align="right" valign="top"><a id="a3af026a5ea48ba7e6b269c9b542b97b0"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>gamma</b></td></tr>
<tr class="separator:a3af026a5ea48ba7e6b269c9b542b97b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1932adbbf0875d2d673ae80b28edcf7"><td class="memItemLeft" align="right" valign="top"><a id="ab1932adbbf0875d2d673ae80b28edcf7"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Hg</b></td></tr>
<tr class="separator:ab1932adbbf0875d2d673ae80b28edcf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bff2532692f2d7aabce581782850daf"><td class="memItemLeft" align="right" valign="top"><a id="a0bff2532692f2d7aabce581782850daf"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>gH</b></td></tr>
<tr class="separator:a0bff2532692f2d7aabce581782850daf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="optimization__search__strategies_8h_source.html">optimization_search_strategies.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
